local f = CreateFrame("Frame")
f:RegisterEvent("READY_CHECK_CONFIRM")
f:RegisterEvent("PLAYER_LOGIN")
f:RegisterEvent("READY_CHECK_FINISHED")
f:RegisterEvent("READY_CHECK")
f:SetPoint("CENTER")
f:SetSize(200,200)
local rcStatus = false
local rcButton = CreateFrame("Button", "EnRT_ReadyCheckButton", f, "UIPanelButtonTemplate")
rcButton:SetPoint("CENTER")
rcButton:SetSize(200,80)
rcButton:SetText("I AM READY!")
rcButton:SetScript("OnClick", function(self)
	SendChatMessage("EnRT: I am ready now!", "RAID")
	rcStatus = true
	f:Hide()
end)
f:Hide()
f:SetScript("OnEvent", function(self, event, ...)
	if event == "READY_CHECK_CONFIRM" and EnRT_ReadyCheckEnabled then
		local id, response = ...
		local player = UnitName("player")
		local playerIndex = EnRT_GetRaidMemberIndex(player)
		if select(2,GetInstanceInfo()) == "raid" and playerIndex == id and not response then -- Inside a raid instance, the player answered the invites is the player and response was not ready
			f:Show()
		elseif playerIndex == id and response then
			rcStatus = true
		end
	elseif event == "READY_CHECK" and EnRT_ReadyCheckEnabled then
		rcStatus = false
		if IsRaidLeader() then
			rcStatus = true
		end
	elseif event == "READY_CHECK_FINISHED" and EnRT_ReadyCheckEnabled then
		if select(2,GetInstanceInfo()) == "raid" and not rcStatus and not f:IsShown() then
			f:Show()
		end
	elseif event == "PLAYER_LOGIN" then
		if EnRT_ReadyCheckEnabled == nil then EnRT_ReadyCheckEnabled = true end
	end
end)

function EnRT_GetRaidMemberIndex(name)
	for i = 1, GetNumGroupMembers() do
		local raider = "raid"..i
		if UnitName(raider) == name then
			return raider
		end
	end
	return -1
end